Send assistant event
curl --request POST \
--url https://platform.kodexa.ai/api/projects/{id}/assistants/{assistantId}/events \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://platform.kodexa.ai/api/projects/{id}/assistants/{assistantId}/events"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.kodexa.ai/api/projects/{id}/assistants/{assistantId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Projects
Send assistant event
Sends an event to the specified assistant for processing.
POST
/
api
/
projects
/
{id}
/
assistants
/
{assistantId}
/
events
Send assistant event
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Unique identifier (UUID) of the assistant.
Body
application/json
The body is of type object.
Response
Event sent
The response is of type object.
⌘I
